"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.configureAWS = void 0;
const aws_sdk_1 = __importDefault(require("aws-sdk"));
exports.configureAWS = async (profile, region) => {
    const credentials = await new aws_sdk_1.default.CredentialProviderChain([
        () => new aws_sdk_1.default.EnvironmentCredentials('AWS'),
        () => new aws_sdk_1.default.SharedIniFileCredentials({
            profile,
        }),
    ]).resolvePromise();
    aws_sdk_1.default.config.update({
        region,
        credentials,
    });
    return aws_sdk_1.default.config;
};
//# sourceMappingURL=aws-configure.js.map